
QGIS Application - Bug report #18050

Cannot open Python Console

2018-02-05 12:26 PM - Joseph Liam

Status: Closed

Priority: Normal

Assignee:

Category: PyQGIS Console

Affected QGIS version:master Regression?: No

Operating System: Windows 7 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25946

Description

Receive the following traceback error when trying to open Python Console either from the menubar (Plugins > Python Console) or from the

keyboard shortcut (Ctrl + P):

Traceback (most recent call last):

  File "", line 2, in 

  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console.py", line 48, in show_console

    _console = PythonConsole(parent)

  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console.py", line 84, in __init__

    self.console = PythonConsoleWidget(self)

  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console.py", line 110, in __init__

    self.shell = ShellScintilla(self)

  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console_sci.py", line 71, in __init__

    self.runsource(line)

  File "C:/OSGEO4~1/apps/qgis-dev/./python\console\console_sci.py", line 624, in runsource

    sys.stdout.fire_keyboard_interrupt = False

AttributeError: 'NoneType' object has no attribute 'fire_keyboard_interrupt'

QGIS version:

2.99.0-Master 'Master', 345dd0c376

Associated revisions

Revision 325af486 - 2018-02-05 02:04 PM - Jürgen Fischer

fix #18050 (followup f6269c41d)

History

#1 - 2018-02-05 12:56 PM - David W

I have the same issue on 2.99.0-Master 'Master', 1a117cf080. Windows 7 64-bit. Same traceback.

#2 - 2018-02-05 02:04 PM - Jürgen Fischer

- % Done changed from 0 to 100

- Status changed from Open to Closed
Applied in changeset commit:qgis|325af486807122db6946dcaeef22236b41f4d512.

#3 - 2018-02-21 09:19 PM - Giovanni Manghi

- Resolution set to fixed/implemented

- Crashes QGIS or corrupts data changed from No to Yes
